export interface ExtracActivitiesVO {
  /**
   * 编号
   */
  id: string | number;

  /**
   * 学生学号
   */
  stuNo: string | number;

  /**
   * 活动id
   */
  activeTypeId: string | number;

  /**
   * 活动名称
   */
  activeTypeName: string;

  /**
   * 分值
   */
  score: number;

  /**
   * 分值单位
   */
  scoreUnitId: string | number;

  /**
   * 成绩单编号
   */
  reeportCardNumber: number;

  /**
   * 总分
   */
  totalScore: number;

  /**
   * 预留备注字段
   */
  remark: string;

}

export interface ExtracActivitiesForm extends BaseEntity {
  /**
   * 学生学号
   */
  stuNo?: string | number;

  /**
   * 活动id
   */
  activeTypeId?: string | number;

  /**
   * 活动名称
   */
  activeTypeName?: string;

  /**
   * 分值
   */
  score?: number;

  /**
   * 分值单位
   */
  scoreUnitId?: string | number;

  /**
   * 成绩单编号
   */
  reeportCardNumber?: number;

  /**
   * 预留备注字段
   */
  remark?: string;

}

export interface ExtracActivitiesQuery extends PageQuery {

  /**
   * 编号
   */
  id?: string | number;

  /**
   * 学生学号
   */
  stuNo?: string | number;

  /**
   * 活动id
   */
  activeTypeId?: string | number;

  /**
   * 活动名称
   */
  activeTypeName?: string;

  /**
   * 分值
   */
  score?: number;

  /**
   * 分值单位
   */
  scoreUnitId?: string | number;

  /**
   * 成绩单编号
   */
  reeportCardNumber?: number;

  /**
   * 总分
   */
  totalScore?: number;

  /**
   * 预留备注字段
   */
  remark?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



