export interface ResearchVO {
  /**
   *
   */
  id: string | number;

  /**
   * 学生学号
   */
  stuNo: string;

  /**
   * 学期
   */
  semester: number;

  /**
   *
   */
  researchName: string;

  /**
   *
   */
  researchNo: string;

  /**
   *
   */
  isOnetow: number;

  /**
   *
   */
  publishDate: string;

  /**
   *
   */
  researchFilePath: string;

}

export interface ResearchForm extends BaseEntity {
  /**
   *
   */
  id?: string | number;

  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 学期
   */
  semester?: number;

  /**
   *
   */
  researchName?: string;

  /**
   *
   */
  researchNo?: string;

  /**
   *
   */
  isOnetow?: number;

  /**
   *
   */
  publishDate?: string;

  /**
   *
   */
  researchFilePath?: string;

}

export interface ResearchQuery extends PageQuery {

  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 学期
   */
  semester?: number;

  /**
   *
   */
  researchName?: string;

  /**
   *
   */
  researchNo?: string;

  /**
   *
   */
  isOnetow?: number;

  /**
   *
   */
  publishDate?: string;

  /**
   *
   */
  researchFilePath?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}


