export interface CombatProjectVO {
  /**
   * id
   */
  id: string | number;

  /**
   * 学生学号
   */
  stuNo: string;

  /**
   * 学期
   */
  semester: number;

  /**
   * 项目组/导师名称
   */
  tutorName: string;

  /**
   * 项目名称
   */
  projectName: string;

  /**
   * 成绩
   */
  score: number;

  stuName: string;

  jobRole: string;

  participateDuration: string;
}

export interface CombatProjectForm extends BaseEntity {
  /**
   * id
   */
  id?: string | number;

  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 成绩
   */
  semester?: string;

  /**
   * 项目组/导师名称
   */
  tutorName?: string;

  /**
   * 项目名称
   */
  projectName?: string;

  /**
   * 成绩
   */
  score?: number;

  stuName?: string;

  jobRole?: string;

  participateDuration?: string;
}

export interface CombatProjectQuery extends PageQuery {
  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 成绩
   */
  semester?: string;

  /**
   * 项目组/导师名称
   */
  tutorName?: string;

  /**
   * 项目名称
   */
  projectName?: string;

  /**
   * 成绩
   */
  score?: number;

  /**
   * 日期范围参数
   */
  params?: any;

  stuName?: string;

  jobRole?: string;

  participateDuration?: string;
}
