export interface InternshipsVO {
  /**
   * 
   */
  id: string | number;

  /**
   * 学号
   */
  stuNo: string;

  /**
   * 公司名称
   */
  companyName: string;

  /**
   * 工作时间
   */
  workingHours: string;

  /**
   * 职务
   */
  job: string;

  /**
   * 职务内容
   */
  jobDescription: string;

}

export interface InternshipsForm extends BaseEntity {
  /**
   * 
   */
  id?: string | number;

  /**
   * 学号
   */
  stuNo?: string;

  /**
   * 公司名称
   */
  companyName?: string;

  /**
   * 工作时间
   */
  workingHours?: string;

  /**
   * 职务
   */
  job?: string;

  /**
   * 职务内容
   */
  jobDescription?: string;

}

export interface InternshipsQuery extends PageQuery {

  /**
   * 学号
   */
  stuNo?: string;

  /**
   * 公司名称
   */
  companyName?: string;

  /**
   * 工作时间
   */
  workingHours?: string;

  /**
   * 职务
   */
  job?: string;

  /**
   * 职务内容
   */
  jobDescription?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



